/***************************************************************************
 *   Copyright (C) 2005 by Bjoern Erik Nilsen & Fredrik Berg Kjoelstad     *
 *   bjoern_erik_nilsen@hotmail.com & fredrikbk@hotmail.com                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ANIMATIONCHANGEDLISTENER_H
#define ANIMATIONCHANGEDLISTENER_H

#include "src/config.h"

#include "animationmodel.h"


#include <iostream>

/**
 * Class for listening after changes to the disc representation of the 
 * animationmodel.
 *
 * @author Bjoern Erik Nilsen & Fredrik Berg Kjoelstad
 */
class AnimationChangedListener
{
public:
	/**
	 * Initializes the AnimationChangedListener and registers the animationModel
	 * to notify of changes when the disk representation of the animation is 
	 * changed
	 *
	 * @param animationModel the animationModel to notify if the disc representation
	 * of the animation is changed.
	 */
	AnimationChangedListener(AnimationModel *animationModel);
	
	void registerWorkDirectory(const char* workDirectory);
	
private:
	

	
};

#endif
