/***************************************************************************
 *   Copyright (C) 2005 by Bjoern Erik Nilsen & Fredrik Berg Kjoelstad     *
 *   bjoern_erik_nilsen@hotmail.com & fredrikbk@hotmail.com                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FRAMEPREFERENCESMENU_H
#define FRAMEPREFERENCESMENU_H

#include "menuframe.h"

#include <qlistbox.h>

/**
 * A customized GUI menu class for the preferencesmenu.
 *
 * Inherits from MenuFrame but adds some functionality around loading the
 * present preferences when opened.
 *
 * @author Bjoern Erik Nilsen & Fredrik Berg Kjoelstad
 */
class FramePreferencesMenu : public MenuFrame
{
	Q_OBJECT
public:
	/**
	 * Creates and sets up the preferences menu. 
	 *
	 * @param strips the number of colums/rows, depending on the orientation,
	 * of widgets the menu will have.
	 * @param orientation the orientation (horizontal, vertical) the menu 
	 * should have.
	 * @param parent the parent widget.
	 * @param name the name of the menu.
	 */
	FramePreferencesMenu( QWidget * parent = 0, const char * name = 0);
	
	void setSoundsList(QListBox *soundsList);
protected:

private:
	QListBox *soundsList;

public slots:
	/**
	 * Opens the menu.
	 */
	virtual void open();
	
	/**
	 * Closes the menu and turns the focus to the newFocusWidget.
	 */
	virtual void close();
};

#endif
