/***************************************************************************
 *   Copyright (C) 2005 by fredrik                                         *
 *   fredrik@Elanor                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "commandlinegrabber.h"

#include "src/foundation/preferencestool.h"

#include <sstream>
#include <iostream>
#include <sys/types.h>
#include <signal.h>

using namespace std;


CommandLineGrabber::CommandLineGrabber(char* filePath)
		: ImageGrabber(filePath)
{
	isInitSuccess = false;
}


bool CommandLineGrabber::init()
{
	PreferencesTool *prefs = PreferencesTool::get();
	
	if(prefs->getPreference("numberofimports", 1) > 0) {
		int activeCommandLine = prefs->getPreference("activecommandlineoption", 0);
		
		stringstream ss;
		ss << "import" << activeCommandLine;
		
		string tmp( prefs->getPreference(ss.str().c_str(), 
				"vgrabbj -f (DEFAULTPATH) -d "
				"/dev/video0 -b -i vga") );
		
		int location = (int)tmp.find("(DEFAULTPATH)");
		
		if(location != -1) {
			tmp.replace(location, 13, string(filePath));
		}	
		commandLine = tmp;
		
		isInitSuccess = true;
	}
	return isInitSuccess;
}


bool CommandLineGrabber::grab()
{
	if (isInitSuccess) {
		if( system( commandLine.c_str() ) != 0 ) {
			isInitSuccess = false;
			return false;
		}
		return true;
	}
	return false;
}

